curl --request POST \
--url https://mention-me.com/api/consumer/{version}/coupon_redemption \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"orderIdentifier": "123456",
"total": "100",
"currencyCode": "GBP",
"dateString": "2026-01-01T12:00:00+00:00",
"couponCode": "ABC23252",
"discountAmount": "12.44",
"orderItemCount": "3",
"isSubscription": "",
"isGift": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
},
"address": {
"addressLine1": "",
"addressLine2": "",
"addressCity": "",
"addressCounty": "",
"addressPostCode": "",
"addressCountry": ""
}
}
'Record order with a coupon
For In-Store situations where a referral transaction can occur identified by a coupon and typically without a customer email address.
The coupon must be a single-use coupon. You can validate the coupon code first using the Merchant API -> Validate Coupon Code endpoint if you wish.
If you have an email address and may not have a coupon, use the Record Order endpoint instead.
We will use the order confirmation to:
-
Record the customer is an existing customer and no longer eligible for introductory rewards (and mark their referral as redeemed)
-
Reward a referrer if this purchase was as a result of a referral
We will also use the data to optimise your referral scheme.
curl --request POST \
--url https://mention-me.com/api/consumer/{version}/coupon_redemption \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"orderIdentifier": "123456",
"total": "100",
"currencyCode": "GBP",
"dateString": "2026-01-01T12:00:00+00:00",
"couponCode": "ABC23252",
"discountAmount": "12.44",
"orderItemCount": "3",
"isSubscription": "",
"isGift": ""
},
"request": {
"partnerCode": "[YOUR-PARTNER-CODE]",
"situation": "mobile-app",
"localeCode": "en_GB",
"segment": "vip",
"ipAddress": "127.0.0.1",
"userDeviceIdentifier": "",
"deviceType": "",
"appName": "",
"appVersion": "e.g. MyApp/v1.73"
},
"address": {
"addressLine1": "",
"addressLine2": "",
"addressCity": "",
"addressCounty": "",
"addressPostCode": "",
"addressCountry": ""
}
}
'Path Parameters
Version
v2, v1 v2|v1Body
About the order
Information about the order which took place
Show child attributes
Show child attributes
Information about the request
Show child attributes
Show child attributes
Information about the customer who placed the order (if present)
Show child attributes
Show child attributes
Information about the address of the customer who placed the order
Show child attributes
Show child attributes
Response
Returned when successful
Was this page helpful?